Bug 1314589 - unable to delegate any tasks as Business Administrator on Business Central
unable to delegate any tasks as Business Administrator on Business Central
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR1
: 6.3.0
Assigned To: Cristiano Nicolai
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 20:20 EST by Hiroko Miura
Modified: 2016-04-28 10:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiroko Miura 2016-03-03 20:20:05 EST
Description of problem:

When logged in business Central as 'Administrator' (i.e. Business Administrator), all of available tasks are shown with Filter Admin of Tasks List.

But when any task is selected and Assignment tab is opened in the right pane, Delegates button is disabled regardless of task status, potential
owner, actual owner. (i.e. unable to input anything in  user field)

Version-Release number of selected component (if applicable):
6.2.0


Steps to Reproduce:
1.  login business central as 'Administrator'
2.  go to Tasks -> Tasks List
3.  click any task and open Assignment tab

Actual results:
Delegate button is disabled

Expected results:
Delegate button is enabled

Additional info:
Comment 1 Neus Miras 2016-03-30 13:37:31 EDT
The problem here is the tab admin was hidden to the Administrator.

The expected behavior is, when the user selects the task from the admin tab, in the task details panel have to appear a new tab 'Admin' with the option to delegate the task.

This Pr contains the code to make it visible:
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/pull/383
Comment 3 Pavel Kralik 2016-04-18 13:40:27 EDT
BPMS 6.3.0.ER3
Admin cannot delegate tasks via Assignment tab
Comment 4 Neus Miras 2016-04-19 04:24:48 EDT
Currently, the administrator user has to access to the tab 'Admin' filter in task list to access the tasks that can be managed by the logged user. Once the task details are open, a new tab in details appears 'Admin' that allows the administrator delegate the task or send reminders.
The Assignment tab, now is just to be used by the task owner to delegate the task, and the button appears as disabled when the logged user is not the owner.

That is the way that works now, if we want to centralize the delegation in the assignments tab, depending on the role, we have to rethink the current details admin tab, and define exactly how to expose the delegate functionality avoiding duplicate that.
Comment 5 Cristiano Nicolai 2016-04-19 19:41:13 EDT
Permission matrix for delegate function has been reviewed and updated to allow that Task Initiator, Potential Owner, Actual Owner and Business Administrator roles are allowed to delegate tasks.


https://github.com/droolsjbpm/jbpm-console-ng/commit/005403d517406d706bc50c5568def72142a28810
Comment 6 Pavel Kralik 2016-04-28 10:18:08 EDT
BPMS 6.3.0.CR1

Note You need to log in before you can comment on or make changes to this bug.